import _ from 'lodash'
import Highlight from 'highlight.js'
import ace from 'brace'
require('brace/mode/javascript')
require('brace/theme/monokai')

import gsap from 'gsap'

import '../css/index.styl'

import Mouse from './mouse'

// You js here

document.addEventListener("DOMContentLoaded", (event) => {

  var editor = ace.edit("editor")
  ace.getSession().setMode('ace/mode/yaml')
  ace.getSession().setTabSize(2)
  ace.setTheme('ace/theme/monokai')

  Highlight.initHighlightingOnLoad()
  Mouse.init()

});