const algoliasearch = require('algoliasearch')
const alg = algoliasearch(
  process.env.ALGOLIA_APP_ID,
  process.env.ALGOLIA_SEARCH_API_KEY, {
    timeout: 4000
  }
)
const client = alg.initIndex('mathieu-meyer-dev')

module.exports = {

  home: function(cb){
    client.search({
      query: '',
      filters: `item_type:post`,
      hitsPerPage: 100
    }).then( (content,err) => {
      return cb(content.hits)
    })
  },
  
  show: function(slug,cb){
    client.search({
      query: '',
      filters: `item_type:post`,
      hitsPerPage: 1
    }).then( (content,err) => {
      return cb(content.hits[0])
    })
  }
  
}